Skip to content

Create conversation rating offer

Request

Create a rating offer for a specific conversation.

Security
ApiKeyAuth(Required scopes: conversation.satisfaction)
Path
conversationIdinteger, (int64)required
Bodyapplication/jsonrequired

The rating offer to be created for a conversation

userIdstringrequired
agentIdstringrequired

Please note that providing agentId that is not part of the conversation may skew metrics in Intelligence

ratingTypestringrequired

The type of numeric rating. E.g.: 'Csat', 'ThumbsUpOrDown', 'Nps'.

offeredAtstring, (date-time)
POST
/v1/conversations/{conversationId}/ratings/offer
curl -i -X POST \
  'https://dev.dixa.io/v1/conversations/{conversationId}/ratings/offer' \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "userId": "b0323b42-c428-4afa-970e-20bf5bdeeec4",
    "agentId": "eeb3bbe5-0355-4ac1-8af5-20d42a3db24b",
    "ratingType": "Csat",
    "offeredAt": "2024-03-11T16:39:30Z"
  }'

Responses

The created conversation rating offer

Bodyapplication/json
dataobject(RatingOffer)required
Response
{ "data": { "id": "2f0122db-0824-44d7-b39a-e1f722b8c38c", "userId": "7a65c963-b3ca-4bd4-996e-bdbcaa620219", "agentId": "db7f0b41-b779-4726-a673-07b2a59a550d", "ratingType": "Csat", "offeredAt": "2024-03-11T16:39:30Z" } }